tt_session_prop_set(library call)

NAME
tt_session_prop_set — replace current values for a property of a session with a character-string value

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_session_prop_set(
const char *sessid,
const char *propname,
const char *value);

DESCRIPTION

The tt_session_prop_set function replaces all current values stored under the named property of the specified session with the given character-string value.

The sessid argument is the name of the session joined. The application can use the sessid value returned when tt_default_session is called. The propname argument is the name of the property to be examined. The value argument is the new value to be inserted. NULL removes a value from the property list.

RETURN VALUE

Upon successful completion, the tt_session_prop_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_PROPLEN
    The specified property value is too long. (The maximum size is implementation specific, but is at least 64.)

TT_ERR_PROPNAME
    The specified property name is syntactically invalid.

TT_ERR_SESSION
    The specified ToolTalk session is out of date or invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).